/*  OverlayMenuP.h

    Private header for  OverlayMenu  widget class.

    Copyright (C) 1997-2001  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*

    This include file contains the private class declarations for the
  OverlayMenu widget, a simple overlay (non-exclusive) menu widget for Xt.


    Written by      Richard Gooch   18-JUL-1997

    Last updated by Richard Gooch   20-MAR-2001

*/

#ifndef OverlayMenuP__H
#define OverlayMenuP__H

#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/FormP.h>
#include <Xkw/OverlayMenu.h>
#include <karma_overlay.h>

typedef struct
{
    /*  Public resources  */
    String        label;
    Bool          createAtInit;
    /*  Private resources  */
    KOverlayList  conn_olist;
    KOverlayList  file_olist;
    Widget        dressing_control_popup;
    Widget        annotation_filepopup;
    Widget        editor_popup;
    Widget        contour_filepopup;
    struct canvas_list *first_canvas;
} OverlayMenuPart, *OverlayMenuPartPtr;

typedef struct _OverlayMenuRec
{
    CorePart core;
    CompositePart composite;
    ConstraintPart constraint;
    FormPart form;
    OverlayMenuPart overlayMenu;
} OverlayMenuRec, *OverlayMenuPtr;

typedef struct _OverlayMenuClassPart
{
    int empty;
} OverlayMenuClassPart;

typedef struct _OverlayMenuClassRec
{
    CoreClassPart core_class;	
    CompositeClassPart composite_class;
    ConstraintClassPart constraint_class;
    FormClassPart form_class;
    OverlayMenuClassPart overlayMenu_class;
} OverlayMenuClassRec, *OverlayMenuClassPtr;

extern OverlayMenuClassRec overlayMenuClassRec;

typedef struct
{
    int empty;
} OverlayMenuConstraintsPart;

typedef struct _OverlayMenuConstraintsRec
{
    FormConstraintsPart	  form;
    OverlayMenuConstraintsPart OverlayMenu;
} OverlayMenuConstraintsRec, *OverlayMenuConstraints;

#endif
