/*LINTLIBRARY*/
/*  main.c

    This code provides Channel Management routines for the X Intrinsics toolkit
    WARNING: this package will be removed in Karma version 2.0

    Copyright (C) 1992-1999  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*  This file contains all routines needed for the management of channel
  objects using the Xt toolkit.


    Written by      Richard Gooch   2-MAR-1993

    Updated by      Richard Gooch   3-MAR-1993

    Updated by      Richard Gooch   24-JUL-1993: Made use of new
  ch_test_for_io  routine.

    Updated by      Richard Gooch   10-DEC-1993: Completed support of output
  and exception callbacks.

    Updated by      Richard Gooch   21-MAY-1994: Added  #include <karma_ch.h>

    Updated by      Richard Gooch   25-OCT-1994: Removed  #include <karma.h>

    Updated by      Richard Gooch   26-NOV-1994: Moved to
  packages/xt_chm/main.c

    Updated by      Richard Gooch   1-DEC-1994: Added warning that this
  package will be removed in Karma version 2.0.

    Updated by      Richard Gooch   7-DEC-1994: Stripped declaration of  errno
  and added #include <errno.h>

    Updated by      Richard Gooch   26-MAY-1996: Cleaned code to keep
  gcc -Wall -pedantic-errors happy.

    Last updated by Richard Gooch   15-AUG-1999: Remove implementation and call
  functions from <chx> package instead.


*/
#include <stdio.h>
#include <ctype.h>
#include <sys/types.h>
#include <errno.h>
/*  Do not include  karma.h  first, since CONST may be screwed otherwise. This
    applies to broken versions of  X11/Intrinsic.h  */
#include <karma_xt_chm.h>
#include <karma_chx.h>
#include <karma_ch.h>
#include <karma_r.h>
#include <karma_m.h>
#include <karma_a.h>


/*  Public functions follow  */

/*OBSOLETE_FUNCTION*/
void xt_chm_register_app_context (XtAppContext context)
{
    fprintf (stderr,
	     "WARNING: the  xt_chm_  package will be removed in Karma");
    fprintf (stderr, " version 2.0\nUse the  chx_  package instead.\n");
    chx_register_app_context (context);
}   /*  End Function xt_chm_register_app_context  */

/*OBSOLETE_FUNCTION*/
flag xt_chm_manage (Channel channel, void *info, flag (*input_func) (),
		    void (*close_func) (), flag (*output_func) (),
		    flag (*exception_func) ())
{
    return chx_manage (channel, info, input_func, close_func, output_func,
		       exception_func);
}   /*  End Function xt_chm_manage  */

/*OBSOLETE_FUNCTION*/
void xt_chm_unmanage (Channel channel)
{
    chx_unmanage (channel);
}   /*  End Function xt_chm_unmanage  */
