/*LINTLIBRARY*/
/*  extension.c

    This code provides extension support routines for the X Intrinsics toolkit

    Copyright (C) 1997  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*  This file contains miscellaneous routines needed for the using the Xt
  toolkit.


    Written by      Richard Gooch   9-DEC-1997

    Last updated by Richard Gooch   9-DEC-1997


*/
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <stdarg.h>
#include <sys/types.h>
#include <X11/Intrinsic.h>
#include <X11/IntrinsicP.h>
/*  Do not include  karma.h  first, since CONST may be screwed otherwise. This
    applies to broken versions of  X11/Intrinsic.h  */
#include <karma.h>
#define KARMA_XTMISC_EXTENSION_C
#include <karma_xtmisc.h>
#include <karma_ext.h>


/*  Private functions  */


/*  Private data  */


/*  Public functions follow  */

/*UNPUBLISHED_FUNCTION*/
void xtmisc_ext_call (Widget w, CONST char *function, void *arg1, void *arg2,
		      void *arg3)
/*  [SUMMARY] Call an extension function.
    <w> The widget to take the class name from.
    <function> The function to call.
    <arg1> An optional argument.
    <arg2> An optional argument.
    <arg3> An optional argument.
    [RETURNS] Nothing.
*/
{
    ext_call ( ( XtClass (w) )->core_class.class_name, function, 0, NULL,
	       arg1, arg2, arg3 );
}   /*  End Function xtmisc_ext_call  */
