/*LINTLIBRARY*/
/*  sensitive.c

    This code provides miscellaneous routines for the X Intrinsics toolkit

    Copyright (C) 1998  Richard Gooch

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*  This file contains miscellaneous routines needed for the using the Xt
    toolkit.


    Written by      Richard Gooch   3-SEP-1998

    Last updated by Richard Gooch   3-SEP-1998


*/
#include <stdio.h>
#include <ctype.h>
#include <sys/types.h>
#include <errno.h>
/*  Do not include  karma.h  first, since CONST may be screwed otherwise. This
    applies to broken versions of  X11/Intrinsic.h  */
#include <karma_xtmisc.h>


/*  Private functions  */


/*  Private data  */


/*  Public functions follow  */

/*EXPERIMENTAL_FUNCTION*/
void xtmisc_sensitive_cbk (Widget w, XtPointer client_data,
			   XtPointer call_data)
/*  [SUMMARY] Make a widget sensitive.
    [PURPOSE] This routine will make a widget sensitive. This routine is a
    convenience routine to be used as a callback.
    <w> The widget on which the event occurred. This is ignored.
    <client_data> The callback client data. This must be the widget to set the
    sensitivity state of.
    <call_data> The callback call data. This is ignored.
    [RETURNS] Nothing.
*/
{
    XtSetSensitive ( (Widget) client_data, True );
}   /*  End Function xtmisc_sensitive_cbk  */

/*EXPERIMENTAL_FUNCTION*/
void xtmisc_insensitive_cbk (Widget w, XtPointer client_data,
			     XtPointer call_data)
/*  [SUMMARY] Make a widget insensitive.
    [PURPOSE] This routine will make a widget insensitive. This routine is a
    convenience routine to be used as a callback.
    <w> The widget on which the event occurred. This is ignored.
    <client_data> The callback client data. This must be the widget to set the
    sensitivity state of.
    <call_data> The callback call data. This is ignored.
    [RETURNS] Nothing.
*/
{
    XtSetSensitive ( (Widget) client_data, False );
}   /*  End Function xtmisc_insensitive_cbk  */
